# Generated from kubernetes_health_checker-0.0.0.21.gem by gem2rpm -*- rpm-spec -*-
%global gem_name kubernetes_health_checker

Name: rubygem-%{gem_name}
Version: 0.0.0.21
Release: 1%{?dist}
Summary: Get notifications for unhealthy kubernetes pods
License: MIT
URL: https://rubygems.org/gems/kubernetes_health_checker
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(pry-stack_explorer)
BuildArch: noarch

%description
Simple script to send slack notifications for pods that are
crashing/restarting too often.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/kubernetes_health_checker
%{_bindir}/kubernetes_health_checkerd
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Aug 24 2021 mockbuilder - 0.0.0.21-1
- Initial package
